Bug 183997 - Do not take thread CPU timestamp
Do not take thread CPU timestamp
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 11:56 UTC by Tomas Hurka
Modified: 2010-05-26 10:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2010-04-13 11:56:03 UTC
Thread CPU time is taken in CPU profiling even if the thread CPU time is switched off. This can significantly slow down profiled application especially on Linux platform, where taking thread CPU timestamp takes a long time.
Comment 1 Tomas Hurka 2010-04-13 12:00:40 UTC
Fixed in profiler-main

changeset:   167091:4bbf15423fda
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Apr 13 13:58:42 2010 +0200
summary:     bugfix #183997, take thread CPU timestamp only if ProfilerRuntimeCPU.threadCPUTimerOn is true
Comment 2 Tomas Hurka 2010-04-13 12:05:12 UTC
Fixed in profiler-main

changeset:   167091:4bbf15423fda
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Apr 13 13:58:42 2010 +0200
summary:     bugfix #183997, take thread CPU timestamp only if ProfilerRuntimeCPU.threadCPUTimerOn is true
Comment 3 Tomas Hurka 2010-04-13 12:05:52 UTC
Fixed in profiler-main

changeset:   167091:4bbf15423fda
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Apr 13 13:58:42 2010 +0200
summary:     bugfix #183997, take thread CPU timestamp only if ProfilerRuntimeCPU.threadCPUTimerOn is true
Comment 4 Tomas Hurka 2010-04-13 12:06:52 UTC
Fixed in profiler-main

changeset:   167091:4bbf15423fda
user:        Tomas Hurka <thurka@netbeans.org>
date:        Tue Apr 13 13:58:42 2010 +0200
summary:     bugfix #183997, take thread CPU timestamp only if ProfilerRuntimeCPU.threadCPUTimerOn is true
Comment 5 Tomas Hurka 2010-04-15 18:50:41 UTC
One more change to fix the calibration.

changeset:   167555:e0f3ada8ee38
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Apr 15 18:30:06 2010 +0200
summary:     bugfix #183997, take thread CPU timestamp only if ProfilerRuntimeCPU.threadCPUTimerOn is true - ROOT_ENTRY and ROOT_EXIT does not generate two timestamps
Comment 6 Quality Engineering 2010-04-17 08:06:31 UTC
Integrated into 'main-golden', will be available in build *201004170515* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4bbf15423fda
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #183997, take thread CPU timestamp only if ProfilerRuntimeCPU.threadCPUTimerOn is true


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo